Bug 438886 - oom killer not able to make system usable
oom killer not able to make system usable
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-25 15:45 EDT by Orion Poplawski
Modified: 2009-01-09 01:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:15:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
oom killer run (8.73 KB, application/octet-stream)
2008-03-25 16:03 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2008-03-25 15:45:49 EDT
Description of problem:

We're seeing Adobe Reader plugins processes runaway and consume all available
memory.  While that is the main problem, I'm surprised that the oom-killer
appears to be unable to kill those processes and get the system usable.  The
machine becomes completely unresponsive and needs to be power cycled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  On some F-8 machines with Adobe Reader 8.1.2 plugin, open a PDF in browser
then navigate away.
2.  Let acroread process grow to consume memory.

Systems have 1-2GB RAM and 2GB swap.
Comment 1 Dave Jones 2008-03-25 15:56:02 EDT
is it killing other processes instead ? or is it just chugging along slowly ?
Comment 2 Orion Poplawski 2008-03-25 16:03:22 EDT
Created attachment 299064 [details]
oom killer run

It's hard to tell.  Mostly it seems like it doesn't do anything.  Often when I
reboot the machine I don't see any oom messages in /var/log/messages.  I've
attached one where it killed an (I believe) inconsequential process.  By the
time I get to a system, I can't switch VTs or ssh to log in as root to see
what's up.
Comment 3 Dave Jones 2008-03-25 16:38:31 EDT
If it's not killing anything, the kernel believes that the application is making
forward progress (albeit slowly).  It won't kill until there's absolutely no way
to satisfy an allocation (after paging out everything that can be paged out, and
using up all ram).

I'm not sure there's anything we can really do in this situation other than
setting reasonable ulimits.   Setting /proc/sys/vm/overcommit_memory to 2 may
lead to a different failure mode that may work better, but it's not really
something that we can set universally.
Comment 4 Neil Horman 2008-08-05 12:41:06 EDT
Do you have a sysrq-m output from this box during the period when memory is getting consumed?  Its possible that its not memory thats getting eaten up.  Perhaps its hogging the cpu instead.  Not that its much consolation, but it would be nice to get a clear view of the resource thats getting consumed here.
Comment 5 Bug Zapper 2008-11-26 05:15:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-01-09 01:15:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.